
#onboarded_user details
user_machine_mapping.service.url=https://dev.mosip.io/v1/masterdata/registrationmachineusermappings
user_machine_mapping.service.httpmethod=PUT
user_machine_mapping.service.requestType=java.lang.Object
user_machine_mapping.service.headers=Content-Type:APPLICATION/JSON
user_machine_mapping.service.authrequired=true
user_machine_mapping.service.signrequired=false
user_machine_mapping.service.authheader=Authorization:OAUTH
user_machine_mapping.service.requestsignrequired=false

#packet_status details
packet_status.service.url=https://dev.mosip.io/registrationprocessor/v1/registrationstatus/search?request={request}
packet_status.service.httpmethod=GET
packet_status.service.responseType=java.util.LinkedHashMap
packet_status.service.headers=Content-Type:APPLICATION/JSON 
packet_status.service.authrequired=true
packet_status.service.signrequired=false
packet_status.service.authheader=Authorization:OAUTH
packet_status.service.requestsignrequired=false

#sms
sms.service.url=https://dev.mosip.io/v1/smsnotifier/sms/send
sms.service.httpmethod=POST
sms.service.requestType=java.lang.Object
sms.service.headers=Content-Type:APPLICATION/JSON
sms.service.authrequired=true
sms.service.signrequired=false
sms.service.authheader=Authorization:OAUTH
sms.service.requestsignrequired=false

#email
email.service.url=https://dev.mosip.io/v1/emailnotifier/email/send
email.service.httpmethod=POST
email.service.requestType=java.lang.Object
email.service.headers=Content-Type:multipart/form-data
email.service.authrequired=true
email.service.signrequired=false
email.service.authheader=Authorization:OAUTH
email.service.requestsignrequired=false

#Upload
packet_upload.service.url=https://dev.mosip.io/registrationprocessor/v1/packetreceiver/registrationpackets
packet_upload.service.httpmethod=POST
packet_upload.service.requestType=java.lang.String
packet_upload.service.headers=Content-Type:multipart/form-data
packet_upload.service.authrequired=true
packet_upload.service.signrequired=false
packet_upload.service.authheader=Authorization:OAUTH
packet_upload.service.service.requestsignrequired=false

#Packet Sync
packet_sync.service.url=https://dev.mosip.io/registrationprocessor/v1/registrationstatus/sync
packet_sync.service.httpmethod=POST
packet_sync.service.requestType=java.lang.Object
packet_sync.service.headers=Content-Type:APPLICATION/JSON,timestamp:timestamp,Center-Machine-RefId:centerId
packet_sync.service.authrequired=true
packet_sync.service.signrequired=false
packet_sync.service.authheader=Authorization:OAUTH
packet_sync.service.service.requestsignrequired=false

#policy sync
policysync.service.url= https://dev.mosip.io/v1/syncdata/publickey/REGISTRATION
policysync.service.httpmethod=GET
policysync.service.responseType=io.mosip.registration.dto.PublicKeyResponse
policysync.service.headers=Content-Type:APPLICATION/JSON 
policysync.service.authrequired=true
policysync.service.signrequired=false
policysync.service.authheader=Authorization:OAUTH
policysync.service.service.requestsignrequired=false

#Pre-Registration Get Pre-Reg Id's
get_pre_registration_Ids.service.url=https://dev.mosip.io/preregistration/v1/sync
get_pre_registration_Ids.service.httpmethod=POST
get_pre_registration_Ids.service.requestType=java.lang.Object
get_pre_registration_Ids.service.headers=Content-Type:APPLICATION/JSON
get_pre_registration_Ids.service.authrequired=true
get_pre_registration_Ids.service.signrequired=false
get_pre_registration_Ids.service.authheader=Authorization:OAUTH
get_pre_registration_Ids.service.requestsignrequired=false

#Pre-Registration Get Pre-Reg packet
get_pre_registration.service.url=https://dev.mosip.io/preregistration/v1/sync/{pre_registration_id}
get_pre_registration.service.httpmethod=GET
get_pre_registration.service.responseType=io.mosip.registration.dto.MainResponseDTO
get_pre_registration.service.headers=Content-Type:APPLICATION/JSON
get_pre_registration.service.authrequired=true
get_pre_registration.service.signrequired=false
get_pre_registration.service.authheader=Authorization:OAUTH
get_pre_registration.service.requestsignrequired=false

#master_sync details
master_sync.service.url=https://dev.mosip.io/v1/syncdata/masterdata
master_sync.service.httpmethod=GET
master_sync.service.responseType=java.lang.Object
master_sync.service.headers=Content-Type:application/json;charset=UTF-8
master_sync.service.authrequired=true
master_sync.service.signrequired=true
master_sync.service.authheader=Authorization:OAUTH
master_sync.service.requestsignrequired=false

#Get Global-Config Details
get_registration_center_config.service.url=https://dev.mosip.io/v1/syncdata/configs
get_registration_center_config.service.httpmethod=GET
get_registration_center_config.service.responseType=java.util.LinkedHashMap
get_registration_center_config.service.headers=Content-Type:APPLICATION/JSON
get_registration_center_config.service.authrequired=true
get_registration_center_config.service.signrequired=true
get_registration_center_config.service.authheader=Authorization:OAUTH
get_registration_center_config.service.requestsignrequired=false

#Send OTP
send_otp.service.url=https://dev.mosip.io/v1/authmanager/authenticate/sendotp
send_otp.service.httpmethod=POST
send_otp.service.requestType=java.lang.Object
send_otp.service.headers=Content-Type:APPLICATION/JSON
send_otp.service.authrequired=false
send_otp.service.signrequired=false
send_otp.service.authheader=Authorization:BASIC
send_otp.service.requestsignrequired=false

#Validate Authorization Token
validate_auth_token.service.url=https://dev.mosip.io/v1/authmanager/authorize/validateToken
validate_auth_token.service.httpmethod=POST
validate_auth_token.service.requestType=java.lang.Object
validate_auth_token.service.headers=Content-Type:APPLICATION/JSON
validate_auth_token.service.authrequired=false
validate_auth_token.service.signrequired=false
validate_auth_token.service.authheader=Authorization:BASIC
validate_auth_token.service.requestsignrequired=false

#Authentication API
auth_by_password.service.url=https://dev.mosip.io/v1/authmanager/authenticate/useridPwd
auth_by_otp.service.url=https://dev.mosip.io/v1/authmanager/authenticate/useridOTP
auth_by_clientid_secretkey.service.url=https://dev.mosip.io/v1/authmanager/authenticate/clientidsecretkey

#user details
user_details.service.url=https://dev.mosip.io/v1/syncdata/userdetails/{regid}
user_details.service.httpmethod=GET
user_details.service.responseType=java.lang.Object
user_details.service.headers=Content-Type:APPLICATION/JSON
user_details.service.authrequired=true
user_details.service.signrequired=true
user_details.service.authheader=Authorization:OAUTH
user_details.service.requestsignrequired=false

#Invalidate Authorization Token
invalidate_auth_token.service.url=https://dev.mosip.io/v1/authmanager/authorize/invalidateToken
invalidate_auth_token.service.httpmethod=POST
invalidate_auth_token.service.requestType=java.lang.Object
invalidate_auth_token.service.headers=Content-Type:APPLICATION/JSON
invalidate_auth_token.service.authrequired=false
invalidate_auth_token.service.signrequired=false
invalidate_auth_token.service.authheader=Authorization:BASIC
invalidate_auth_token.service.requestsignrequired=false

#public_key details
public_key.service.url=https://dev.mosip.io/v1/keymanager/publickey/KERNEL
public_key.service.httpmethod=GET
public_key.service.responseType=java.lang.Object
public_key.service.headers=Content-Type:APPLICATION/JSON
public_key.service.authrequired=true
public_key.service.signrequired=false
public_key.service.authheader=Authorization:OAUTH
public_key.service.requestsignrequired=false

#user_salt_details details
user_salt_details.service.url=https://dev.mosip.io/v1/authmanager/usersaltdetails/registrationclient
user_salt_details.service.httpmethod=GET
user_salt_details.service.responseType=java.lang.Object
user_salt_details.service.headers=Content-Type:APPLICATION/JSON
user_salt_details.service.authrequired=true
user_salt_details.service.signrequired=false
user_salt_details.service.authheader=Authorization:OAUTH
user_salt_details.service.requestsignrequired=false

#SignatureResponseUrl's
mosip.kernel.signature.cryptomanager-encrypt-url=https://dev.mosip.io/v1/cryptomanager/private/encrypt
mosip.kernel.keymanager-service-publickey-url=https://dev.mosip.io/v1/keymanager/publickey/{applicationId}
auth.server.validate.url=https://dev.mosip.io/v1/authmanager/authorize/validateToken
auth.server.refreshToken.url=https://dev.mosip.io/v1/authmanager/authorize/refreshToken
